
/**
 * Generating recurring events instances through an daily event 
 */

var Seed = require('../../lib/seed');

var today = new Date();

var myBirthDays = {
    title: 'Event Instances'
  , start: new Date(1977, 6, 18, 15, 30, 48)
  , end: new Date(1977, 6, 22, 15, 30, 48)
  , allDay: false
  , frequency: 'year'
  , recurrence: {
        'end-by': {
            type: 'never'
          , on: today
        }
      , every: 1
      , exceptions: []
    }
}

/**
 * creates a new seed Object
 */

var Seed = new Seed(myBirthDays, {
                    start: new Date(2000, 0, 1)
                  , end: today
                });

/**
 * retriving instances from event seed
 */

var instances = Seed.getInstances();

for (var i = 0; i < instances.length; i++) {
 var Instance = instances[i];
 console.log(Instance.start + ': ' + Instance.getNumber() + ' years');
};

