
/*!
 * Carilu
 * Copyright(c) 2011 Damian Suarez <damian@learnboost.com>
 * MIT Licensed
 */

// by-side behavour
(function(module, serverSide) {
  if (typeof module.exports == 'undefined')
    module.exports = {};


exports = module.exports;

/**
 * Library version.
 */

exports.version = '0.1.3';

/**
 * Expose recurrence
 */

exports.recurrence = require('./lib/recurrence');

/**
 * Expose seed
 */

exports.seed = require('./lib/seed');

  // client-side: add Carilu global var
  if (!serverSide) {
    if (typeof window.Carilu == 'undefined')
      window.Carilu = {};

    for (var k in exports)
      window.Carilu[k] = exports[k];
  }

})(typeof module != 'undefined' ? module : {}, typeof window != 'object');
