
/**
 * Module dependencies.
 */

  var Util = require('../lib/util')
  , assert = require('assert')

var _print = require('./print');

/**
 * Alias
 */

var _str = Util.string;

// start date: Sat, 01 Oct 2011 13:30:00 GMT
var start = new Date(2011, 09, 1, 13, 30, 0)
// end date: Tue, 04 Oct 2011 20:40:00 GMT
  , end = new Date(2011, 09, 4, 20, 40, 0, 0)
  , updated = new Date(2011, 09, 5, 19, 55, 20, 0)

module.exports = {

  /**
   * _string usefull methods
   */

  'date() - not allday': function (str) {
    _print('util - string', 'date() - not allday');

    // start date: Sat, 01 Oct 2011 13:30:00 GMT
    var date_start = _str.date(start, false);

    assert.equal(date_start, '2011-10-01T13:30:00.000Z');
  },

   'date() - allday': function (str) {
    _print('util - string', 'date() - allday');

    // start date: Sat, 01 Oct 2011 13:30:00 GMT
    var date_start = _str.date(start, true);
    assert.equal(date_start, '2011-10-01');
  },

   'date() - allday - offset date correction': function (str) {
    _print('util - string', 'date() - allday - offset date correction');

    // start date: Sat, 01 Oct 2011 13:30:00 GMT
    var date_start = _str.date(start, true, true);
    assert.equal(date_start, '2011-10-02');
  },

};
